org.richfaces.renderkit.html

## Class MenuGroupRendererBase

- java.lang.Object
- - javax.faces.render.Renderer
  - - org.richfaces.renderkit.RendererBase
    - - org.richfaces.renderkit.html.MenuGroupRendererBase

- Direct Known Subclasses:
    MenuGroupRenderer

      public abstract class MenuGroupRendererBase
      extends RendererBase

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `DEFAULT_MIN_POPUP_WIDTH`
    `static String` | `RENDERER_TYPE`

    - ### Fields inherited from class javax.faces.render.Renderer

      `PASSTHROUGH_RENDERER_LOCALNAME_KEY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MenuGroupRendererBase()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected javax.faces.component.UIComponent` | `getDDMenu(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent component)`
    `protected String` | `getIconAttribute(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent component)`
    `protected javax.faces.component.UIComponent` | `getIconFacet(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent component)`
    `protected int` | `getMinPopupWidth(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent component)`
    `protected String` | `getStyleClass(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent component, String styleDDMenu, String styleMenuGroup)`
    `protected boolean` | `isDisabled(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent component)`
    `protected boolean` | `isStringEmpty(String str)` It is introduced due to RF-10004 CDK: isEmpty method is generated incorrectly
    `void` | `renderChildren(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent component)` Render all children for given component.

    - ### Methods inherited from class org.richfaces.renderkit.RendererBase

      `concatClasses, concatStyles, decode, doDecode, doEncodeBegin, doEncodeChildren, doEncodeEnd, encodeBegin, encodeChildren, encodeEnd, getComponentClass, getResourcePath, getSkin, getUtils, isAlreadyRendered, preDecode, preEncodeBegin, queueComponentEventForBehaviorEvent`

    - ### Methods inherited from class javax.faces.render.Renderer

      `convertClientId, getConvertedValue, getRendersChildren`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### RENDERER_TYPE

          public static final String RENDERER_TYPE

      See Also:
        Constant Field Values

    - #### DEFAULT_MIN_POPUP_WIDTH

          public static final int DEFAULT_MIN_POPUP_WIDTH

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### MenuGroupRendererBase

          public MenuGroupRendererBase()

  - ### Method Detail

    - #### isDisabled

          protected boolean isDisabled(javax.faces.context.FacesContext facesContext,
                           javax.faces.component.UIComponent component)

    - #### renderChildren

          public void renderChildren(javax.faces.context.FacesContext facesContext,
                            javax.faces.component.UIComponent component)
                              throws IOException

      Description copied from class: `RendererBase`
      Render all children for given component.
      Overrides:
        `renderChildren` in class `RendererBase`
      Throws:
        `IOException`

    - #### getIconFacet

          protected javax.faces.component.UIComponent getIconFacet(javax.faces.context.FacesContext facesContext,
                                                       javax.faces.component.UIComponent component)

    - #### getIconAttribute

          protected String getIconAttribute(javax.faces.context.FacesContext facesContext,
                                javax.faces.component.UIComponent component)

    - #### getStyleClass

          protected String getStyleClass(javax.faces.context.FacesContext facesContext,
                             javax.faces.component.UIComponent component,
                             String styleDDMenu,
                             String styleMenuGroup)

    - #### getDDMenu

          protected javax.faces.component.UIComponent getDDMenu(javax.faces.context.FacesContext facesContext,
                                                    javax.faces.component.UIComponent component)

    - #### getMinPopupWidth

          protected int getMinPopupWidth(javax.faces.context.FacesContext facesContext,
                             javax.faces.component.UIComponent component)

    - #### isStringEmpty

          protected boolean isStringEmpty(String str)

      It is introduced due to RF-10004 CDK: isEmpty method is generated incorrectly
      Parameters:
        `str` -

Copyright © 2016 JBoss by Red Hat. All Rights Reserved.